# Class Mapper.ContextList

java.lang.Object
org.apache.catalina.mapper.Mapper.ContextList

Enclosing class:
  `Mapper`

protected static final class Mapper.ContextList extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final Mapper.MappedContext[]`
`contexts`
`final int`
`nesting`

## Constructor Summary

Constructors
Constructor
Description
`ContextList()`

## Method Summary

Modifier and Type
Method
Description
`Mapper.ContextList`
`addContext(Mapper.MappedContext mappedContext, int slashCount)`
`Mapper.ContextList`
`removeContext(String path)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### contexts

public final Mapper.MappedContext[] contexts

### nesting

public final int nesting

## Constructor Details

### ContextList

public ContextList()

## Method Details

### addContext

public Mapper.ContextList addContext(Mapper.MappedContext mappedContext, int slashCount)

### removeContext

public Mapper.ContextList removeContext(String path)